Bug 11415 - x86 optimization does not work with modules
Summary: x86 optimization does not work with modules
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-15 09:31 UTC by zero98
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-15 09:31:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description zero98 2000-05-15 09:31:24 UTC
I have 550 Coopermine Processor. During rebuilding the kernel Red Hat 6.2
ver. 2.2.14 (included in distr) I have turned on two x86 optimization
options in CPU section of the build script (MMX/MMX2 support). I turned on
kmod too. During booting the system any modules started. Error reported:
unresolved symbol best_*( three optimised functions such as best_mem_copy
() etc. ) Then I have searched for this functions in kernel sources. They
declared as external in x86 optimization section. No one declaration for
those functions more. Then I have turned off x86 optimization options and
all began to work well.
   May be I make any mistake?

                       Best regards,
                                                Vadim Ivaninuk

Comment 1 Alan Cox 2000-08-08 21:30:08 UTC
That isnt a supported/tested part of the PIII optimisations



Note You need to log in before you can comment on or make changes to this bug.